<?php  
  
	require("outside-web-root-settings.php");
	
	if(!isset($_REQUEST['db_name']) || !isset($_REQUEST['db_table']) || IsNullOrEmpty($username) || IsNullOrEmpty($password) || IsNullOrEmpty($hostname)) exit("Database information missing!");
	
	$database = $_REQUEST['db_name'];
	$table = $_REQUEST['db_table'];
	$raw = $_REQUEST['raw'];
	
	function IsNullOrEmpty($v){
		return (!isset($v) || trim($v)==='');
	}
  
	$connection = mysqli_connect($hostname,$username,$password);
	if(!$connection){
		die('Db connection failed: ' . mysqli_connect_errno());
	}
				
	$db_select = mysqli_select_db($connection, $database);
	if(!$db_select){
		die('Db selection failed: ' . mysqli_error($connection));
	}
	
	$result = mysqli_query($connection, "SELECT * FROM $table");
	
	if(!$result){
		die('Db query failed: ' . mysqli_error($connection));
	}

	while($row = mysqli_fetch_array($result)){
	
		if (isset($raw) && $raw === "true"){
			$new = array(
				'type' => $row['type'],
				'mp4' => $row['mp4']
			);
		}else{
			$new = array(
				'type' => $row['type'],
				'mp4' => $row['mp4'],
				'ogv' => $row['ogv'],
				'webm' => $row['webm'],
				'preview' => $row['preview'],
				'description' => $row['description'],
				'thumb' => $row['thumb'],
				'playlistTitle' => $row['playlistTitle'],
				'playlistContent' => $row['playlistContent'],
				'limits' => $row['limits'],
				'sort' => $row['sort'],
				'deeplink' => $row['deeplink']
			);
		}
		
        $encode[] = $new;
	}
	echo json_encode( $encode );
		
	mysqli_close($connection);

?>